In order to issue funds on the Ripple network, a gateway must accept and hold the corresponding asset for which the currency is redeemable. Upon acceptance of an asset from a customer, call Record Deposit to enter a record of the deposit in the gateway. Once entered in the gateway, the deposit will be processed and sent to your user's ripple wallet.

Examples

# Request
POST /api/v1/deposits
{
    "amount": 1000;,
    "currency": "MXN",
    "external_account_id": 998
    "uid": 12344lkjdikek
}

# Response
201 Created
{
    "deposit": {
        "id": 783835;,
        "amount": 1000;,
        "currency": "MXN",
        "external_account_id": 998
        "uid": 12344lkjdikek
        "created_at": "timestamp"
    }
}
  

Params

Param name Description
amount
required

Numeric amount of the asset received in deposit to the gateway


Value: Must be an Integer
currency
required

Currency name for the asset received in deposit to the gateway


Value: Must be a String
external_account_id
required

ID of the external account corresponding to the deposit


Value: Must be an Integer of a record in the external_accounts table
uid
optional

Unique identifier for the deposit external_transaction entry.


Value: Must be a String